Last Comment Bug 778268 - Assertion failure: !pn->isDefn(), at ../frontend/ParseNode.h:1437
: Assertion failure: !pn->isDefn(), at ../frontend/ParseNode.h:1437
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Linux
: -- critical (vote)
: mozilla17
Assigned To: :Benjamin Peterson
: general
Mentors:
Depends on:
Blocks: langfuzz
  Show dependency treegraph
 
Reported: 2012-07-27 13:15 PDT by Christian Holler (:decoder)
Modified: 2013-01-14 07:57 PST (History)
4 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
allow definitions with no uses to be removed (1.18 KB, patch)
2012-07-27 17:58 PDT, :Benjamin Peterson
luke: review+
Details | Diff | Review

Description Christian Holler (:decoder) 2012-07-27 13:15:36 PDT
The following test asserts on mozilla-central revision f528e021ceb1 (no options required):


j : var d;   
let [j] = Object.prototype.toString.call() = 1, j;
Comment 1 :Benjamin Peterson 2012-07-27 14:56:45 PDT
Further simplified:

j : 4;
let [j] = 1, j;
Comment 2 :Benjamin Peterson 2012-07-27 17:58:49 PDT
Created attachment 646788 [details] [diff] [review]
allow definitions with no uses to be removed
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-07-28 18:34:05 PDT
https://hg.mozilla.org/mozilla-central/rev/a9502620734e
Comment 5 Christian Holler (:decoder) 2013-01-14 07:57:12 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/basic/bug778268.js.

Note You need to log in before you can comment on or make changes to this bug.